#
# spec file for package vdr-plugin-femon (Version 1.6.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define pluginversion 1.6.7
%define pluginname femon
%define pluginurl http://www.saunalahti.fi/~rahrenbe/vdr/femon/
#
%define plugindir %pluginname-%pluginversion
%define plugintarball %pluginurl/files/vdr-%pluginname-%pluginversion.tgz
#
%define pkgversion %pluginversion

Name:           vdr-plugin-femon
Version:        %pkgversion
Release:        19.1
Source:         %plugintarball
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        VDR %pluginname plugin
License:        GPL-2.0+
Group:          Hardware/TV
BuildRequires:  gcc-c++ vdr-devel
PreReq:         vdr(abi) = %{vdr_apiversion}
Url:            %pluginurl
# only needef for packages that used the old naming scheme
Obsoletes:      vdr-%pluginname < %pkgversion

%description
DVB Frontend Status Monitor is a plugin that displays some signal
information parameters of the current tuned channel on OSD. You can
zap through all your channels and the plugin should be monitoring
always the right frontend. The transponder and stream information
are also available in advanced display modes.

%prep 
%setup -q -n %plugindir

%build
%vdr_make

%install
%vdr_install_plugin %pluginname
%vdr_install_plugin_locale
#
%find_lang vdr-%pluginname

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files -f vdr-%pluginname.lang
%defattr(-,root,root)
%doc COPYING HISTORY README 
%{vdr_libdir}/*

%changelog
* Thu May 20 2010 lnussel@suse.de
- change group to Hardware/TV
* Thu Jan 21 2010 lnussel@suse.de
- new version 1.6.7
  * fixes in h264 parser
  * font handling fixes
* Wed May 27 2009 lnussel@suse.de
- new verion 1.6.6
* Wed Dec 17 2008 lnussel@suse.de
- new version 1.6.5
* Fri Dec  5 2008 lnussel@suse.de
- initial package version 1.6.4
